orm

## Class AsistenciaDAO

- java.lang.Object
- - orm.AsistenciaDAO

    public class AsistenciaDAO
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`AsistenciaDAO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Asistencia` `createAsistencia()`
`static boolean` `delete(Asistencia asistencia)`
`static boolean` `deleteAndDissociate(Asistencia asistencia)`
`static boolean` `deleteAndDissociate(Asistencia asistencia, org.orm.PersistentSession session)`
`static boolean` `evict(Asistencia asistencia)`
`static Asistencia` `getAsistenciaByORMID(int id_pk)`
`static Asistencia` `getAsistenciaByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Asistencia` `getAsistenciaByORMID(org.orm.PersistentSession session, int id_pk)`
`static Asistencia` `getAsistenciaByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateAsistenciaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateAsistenciaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateAsistenciaByQuery(java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateAsistenciaByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Asistencia[]` `listAsistenciaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Asistencia[]` `listAsistenciaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Asistencia[]` `listAsistenciaByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Asistencia[]` `listAsistenciaByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Asistencia` `loadAsistenciaByORMID(int id_pk)`
`static Asistencia` `loadAsistenciaByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Asistencia` `loadAsistenciaByORMID(org.orm.PersistentSession session, int id_pk)`
`static Asistencia` `loadAsistenciaByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static Asistencia` `loadAsistenciaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Asistencia` `loadAsistenciaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Asistencia` `loadAsistenciaByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Asistencia` `loadAsistenciaByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryAsistencia(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryAsistencia(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryAsistencia(java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryAsistencia(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static boolean` `refresh(Asistencia asistencia)`
`static boolean` `save(Asistencia asistencia)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsistenciaDAO

    public AsistenciaDAO()

### Method Detail

#### loadAsistenciaByORMID

    public static Asistencia loadAsistenciaByORMID(int id_pk)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getAsistenciaByORMID

    public static Asistencia getAsistenciaByORMID(int id_pk)
                                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAsistenciaByORMID

    public static Asistencia loadAsistenciaByORMID(int id_pk,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getAsistenciaByORMID

    public static Asistencia getAsistenciaByORMID(int id_pk,
                                                  org.hibernate.LockMode lockMode)
                                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAsistenciaByORMID

    public static Asistencia loadAsistenciaByORMID(org.orm.PersistentSession session,
                                                   int id_pk)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getAsistenciaByORMID

    public static Asistencia getAsistenciaByORMID(org.orm.PersistentSession session,
                                                  int id_pk)
                                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAsistenciaByORMID

    public static Asistencia loadAsistenciaByORMID(org.orm.PersistentSession session,
                                                   int id_pk,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getAsistenciaByORMID

    public static Asistencia getAsistenciaByORMID(org.orm.PersistentSession session,
                                                  int id_pk,
                                                  org.hibernate.LockMode lockMode)
                                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryAsistencia

    public static java.util.List queryAsistencia(java.lang.String condition,
                                                 java.lang.String orderBy)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryAsistencia

    public static java.util.List queryAsistencia(java.lang.String condition,
                                                 java.lang.String orderBy,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listAsistenciaByQuery

    public static Asistencia[] listAsistenciaByQuery(java.lang.String condition,
                                                     java.lang.String orderBy)
                                              throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listAsistenciaByQuery

    public static Asistencia[] listAsistenciaByQuery(java.lang.String condition,
                                                     java.lang.String orderBy,
                                                     org.hibernate.LockMode lockMode)
                                              throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryAsistencia

    public static java.util.List queryAsistencia(org.orm.PersistentSession session,
                                                 java.lang.String condition,
                                                 java.lang.String orderBy)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryAsistencia

    public static java.util.List queryAsistencia(org.orm.PersistentSession session,
                                                 java.lang.String condition,
                                                 java.lang.String orderBy,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listAsistenciaByQuery

    public static Asistencia[] listAsistenciaByQuery(org.orm.PersistentSession session,
                                                     java.lang.String condition,
                                                     java.lang.String orderBy)
                                              throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listAsistenciaByQuery

    public static Asistencia[] listAsistenciaByQuery(org.orm.PersistentSession session,
                                                     java.lang.String condition,
                                                     java.lang.String orderBy,
                                                     org.hibernate.LockMode lockMode)
                                              throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAsistenciaByQuery

    public static Asistencia loadAsistenciaByQuery(java.lang.String condition,
                                                   java.lang.String orderBy)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAsistenciaByQuery

    public static Asistencia loadAsistenciaByQuery(java.lang.String condition,
                                                   java.lang.String orderBy,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAsistenciaByQuery

    public static Asistencia loadAsistenciaByQuery(org.orm.PersistentSession session,
                                                   java.lang.String condition,
                                                   java.lang.String orderBy)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAsistenciaByQuery

    public static Asistencia loadAsistenciaByQuery(org.orm.PersistentSession session,
                                                   java.lang.String condition,
                                                   java.lang.String orderBy,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateAsistenciaByQuery

    public static java.util.Iterator iterateAsistenciaByQuery(java.lang.String condition,
                                                              java.lang.String orderBy)
                                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateAsistenciaByQuery

    public static java.util.Iterator iterateAsistenciaByQuery(java.lang.String condition,
                                                              java.lang.String orderBy,
                                                              org.hibernate.LockMode lockMode)
                                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateAsistenciaByQuery

    public static java.util.Iterator iterateAsistenciaByQuery(org.orm.PersistentSession session,
                                                              java.lang.String condition,
                                                              java.lang.String orderBy)
                                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateAsistenciaByQuery

    public static java.util.Iterator iterateAsistenciaByQuery(org.orm.PersistentSession session,
                                                              java.lang.String condition,
                                                              java.lang.String orderBy,
                                                              org.hibernate.LockMode lockMode)
                                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### createAsistencia

    public static Asistencia createAsistencia()

#### save

    public static boolean save(Asistencia asistencia)
                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### delete

    public static boolean delete(Asistencia asistencia)
                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Asistencia asistencia)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Asistencia asistencia,
                                              org.orm.PersistentSession session)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### refresh

    public static boolean refresh(Asistencia asistencia)
                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### evict

    public static boolean evict(Asistencia asistencia)
                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`